<meta charset="UTF-8">

<script>

var cargos = new Array(2500, 1500, 10000, 1200, 800)
var codigo = new Array(15, 1, 26, 12, 8)
var nome = new Array("João", "Pedro", "Maria", "Rita", "Lígia")
var codigo_cargo = new Array(1 ,2 ,3 ,5 ,2)

var opcao = parseInt(prompt("Digite 1=Cadastrar cargo 2=cadastrar funcionário 3=Mostrar um relatório contendo o código do funcionário, o nome e o valor do salário de cada funcionário 4=Mostrar o valor total pago de salário aos funcionários que pertençam a um cargo informado pelo usuário 5=Sair"))
var valorCargo

var perg_codigo
var perg_nome
var perg_codigo_cargo

while (opcao != 5) {
	if (opcao == 1) {
		cargos.push(parseFloat(prompt("Digite o valor do cargo")));
		
	} else if (opcao == 2) {
		perg_codigo = parseInt(prompt("Digite o codigo do funcionário"))
		var achou = false
		for (var i = 0; i < codigo.length; i++) {
			if (perg_codigo == codigo[i]) {
				achou = true
				alert("Funcionário já existe")
			}
		}
		if (achou == false) {
			codigo.push(perg_codigo)
			perg_nome = prompt("Digite o nome do funcionário")
			nome.push(perg_nome);
			do {
				perg_codigo_cargo = parseInt(prompt("Digite o codigo do cargo do funcionário"));
			} while (perg_codigo_cargo >= cargos.length || perg_codigo_cargo < 0);
			codigo_cargo.push(perg_codigo_cargo + 1)
			
		}
	
	} else if (opcao == 3) {
		document.write("Mostrar relatório:<br>");
		for (var i = 0; i < codigo.length; i++) {
			alert("Código:" + codigo[i] + " Nome:" + nome[i] + " Codigo do cargo:" + codigo_cargo[i]); 
			document.write("Código:" + codigo[i] + " Nome:" + nome[i] + " Codigo do cargo:" + codigo_cargo[i] + "<br>"); 
		}
		document.write("<hr>");
	
	} else if (opcao == 4) {
		do {
			perg_codigo_cargo = parseInt(prompt("Digite o codigo do cargo do funcionário"));
		} while (perg_codigo_cargo > cargos.length || perg_codigo_cargo <= 0);
		var soma = 0
		for (var i = 0; i < codigo_cargo.length; i++) {
			if (perg_codigo_cargo == codigo_cargo[i]) {
				soma += cargos[codigo_cargo[i] - 1]
			}
		}
		alert("A soma é igual a " + soma);
		document.write("A soma é igual a " + soma + "<br>");
		document.write("<hr>");
	} else {
		alert("Opção inválida")
	}


	opcao = parseInt(prompt("Digite 1=Cadastrar cargo 2=cadastrar funcionário 3=Mostrar um relatório contendo o código do funcionário, o nome e o valor do salário de cada funcionário 4=Mostrar o valor total pago de salário aos funcionários que pertençam a um cargo informado pelo usuário 5=Sair"))
}


</script>